timblserver (1.14-2) experimental; urgency=medium

  * Team upload.
  * d/control: Set Rules-Requires-Root:no.
  * d/control: Mark the library packages as Multi-Arch:same.
  * d/rules: Drop unused architecture.mk include.
  * Upload to experimental as well, as version 1.14 requires libraries that
    are not available in unstable yet, but will soon be in experimental.
    Knowingly leaving unstable broken for the time being.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 21 Apr 2020 20:37:01 +0200

timblserver (1.14-1) unstable; urgency=medium

  * New upstream release (v1.14; skipped v1.13)
  * debian/control: Updated dependencies
  * debian/control: Updated standards version
  * debian/control: Added debhelper-compat 12 dependency
    and removed old debian/compat
  * debian/copyright: Updated years

 -- Maarten van Gompel <proycon@anaproy.nl>  Wed, 15 Apr 2020 13:00:00 +0200

timblserver (1.12-1) unstable; urgency=medium

  * Updated to new upstream
  * d/control: updating standards, priority, ticcutils dependency
  * d/control: use libtimbl-dev instead of libtimbl4-dev
  * d/control: updated vcs-* to salsa
  * d/compat: updated to 11
  * d/control: removed redundant dependencies
  * migrated away from cdbs
  * renamed libtimblserver4-dev to libtimblserver-dev
  * debian/copyright: conform to machine parsable standard
    updated for m4 files

 -- Maarten van Gompel <proycon@anaproy.nl>  Tue, 18 Dec 2018 12:11:57 +0100

timblserver (1.11-1) unstable; urgency=medium

  [ Maarten van Gompel ]
  * new upstream;  missed 1.9, 1.10
  * debian/watch: updated to point to github (make dist tarballs)
  * debian/copyright: upstream source link + bumped dates
  * debian/control: updated dependency versions
  * debian/control: added myself as uploader
  * debian/control: updated standards version
  * debian/control: updated Homepage

  [ Joost van Baal-Ilić ]
  * Acknowledge NMU 1.8-1-1; thanks Andreas Beckmann and Breno Leitao.
  * debian/control: use https in Vcs URLs.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 06 Aug 2016 16:15:27 +0200

timblserver (1.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh_autoreconf.  (Closes: #752795)
  * libtimblserver4-dev: Add Provides: libtimblserver-dev to ease future
    transitions.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 30 Jan 2016 06:19:18 +0100

timblserver (1.8-1) experimental; urgency=low

  * New upstream release.
    - Fixes "timblserver: FTBFS in unstable: error: 'class Timbl::GetOptClass'
      has no member named 'getLogFile'. Thanks James Cowgill for reporting.
      (Closes: #775850)
    - debian/control: change Build-Depends libticcutils2-dev from >= 0.3 to
      >= 0.7.
  * debian/control: migrated version control from Subversion to git (still on
    Debian's Alioth).  Thanks Jeremy T. Bouse.
    - change obsolete SVN Id and URL tags in files to git information.
  * debian/control: explicitly list automake as Build-Depends.
  * .gitignore: added: do not track generated files.
  * We ship libtimblserver4, not libtimblserver3:
    - debian/{libtimblserver2-dev,libtimblserver2}.install: removed, we ship
      libtimblserver4.
    - debian/libtimblserver*.install: renamed
      {libtimblserver3-dev,libtimblserver3}.install to
      {libtimblserver4-dev,libtimblserver4}.install.
    - debian/libtimblserver4.install: do not install
      /usr/lib/libtimblserver.so.3*, do install /usr/lib/libtimblserver.so.4*
    - debian/control: binary package timblserver no longer depends upon
      libtimblserver3 but upon libtimblserver4.
  * debian/control: Standards-Version upgraded from policy 3.9.4 to 3.9.6
    (no other changes needed).
  * debian/NEWS: removed since did not contain any news worthy items.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 15 Jun 2015 20:39:14 +0200

timblserver (1.7-4) unstable; urgency=low

  * debian/control: change Build-Depends "libtimbl4-dev | libtimbl-dev"
    in "libtimbl4-dev": on second thought, we decided not to go for
    unversioned libtimbl-dev.  See also Bug#718503: "release.debian.org:
    transition: timbl".
  * debian/control: change Build-Depends "libticcutils2-dev |
    libticcutils-dev" in "libticcutils2-dev (>=0.3)": on second thought, we
    decided not to go for unversioned libticcutils-dev.  See also Bug#718501:
    "release.debian.org: transition: ticcutils".
  * debian/libtimblserver3-dev.install, debian/libtimblserver-dev.install,
    debian/control: rename libtimblserver-dev to libtimblserver3-dev.  Upstream
    cannot guarantee strong compatibility yet.  This fixes (part of) "mbtserver:
    FTBFS: unsatisfiable build-dependencies: libtimblserver3-dev, libmbt1-dev".
    Thanks Lucas Nussbaum (Closes: #713119).  It fixes "Bug#721495: mbtserver:
    Wrong order of build-depends". Thanks Kurt Roeckx (Closes: #721495).
  * debian/control: Standards-Version upgraded from policy 3.9.3 to 3.9.4 (no
    other changes needed: section 8.6 is mostly not applicable to us: we keep
    using shlibs files, not symbols, since we build from C++ sources).
  * debian/watch: make sure no longer matches "*-latest.tar.gz", thanks
    Bart Martens.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 08 Sep 2013 12:34:29 +0200

timblserver (1.7-3) unstable; urgency=low

  * debian/libtimblserver-dev.install, debian/libtimblserver3-dev.install,
    debian/control: rename libtimblserver3-dev to unversioned
    libtimblserver-dev.
  * debian/control: change Build-Depends "libtimbl4-dev, libticcutils2-dev"
    to "libtimbl4-dev | libtimbl-dev, libticcutils2-dev | libticcutils-dev":
    prepare for upcoming unversioned -dev packages.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 15 Jun 2013 13:25:15 +0200

timblserver (1.7-2) unstable; urgency=low

  * debian/control: added Conflicts: libtimblserver2-dev and Replaces:
    libtimblserver2-dev.

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Thu, 18 Apr 2013 16:39:03 +0200

timblserver (1.7-1) unstable; urgency=low

  * New Upstream Release.
  * debian/control: now we depend on libtimbl4{-dev} and libticcutils2-dev.
  * debian/libtimblserver3{-dev}.install: new files.

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Thu, 04 Apr 2013 11:08:07 +0200

timblserver (1.6-2) unstable; urgency=low

  * debian/control: more strict libtimbl3-dev build-dependency: from 6.4.2
    to 6.4.3.
  * debian/control: clean up run time dependency libtimbl3: now (>= 6.4.2).
  * debian/control: removed obsolete field DM-Upload-Allowed.  See
    https://lists.debian.org/debian-devel-announce/2012/09/msg00008.html .
  * debian/control: Uploaders: update my name.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 29 Dec 2012 20:34:36 +0100

timblserver (1.6-1) unstable; urgency=low

  * New Upstream Release.
  * debian/control: now refer to Standards-Verion 3.9.3, added dependency
    on libticcutils1-dev.

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Thu, 11 Oct 2012 15:41:28 +0200

timblserver (1.5-1) unstable; urgency=low

  * New Upstream Release.
  * debian/watch: updated to watch http://software.ticc.uvt.nl/.

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Tue, 19 Jun 2012 15:06:51 +0200

timblserver (1.4-2) unstable; urgency=low

  * debian/source: added; updated package to use 3.0 source format.
  * debian/control: added conflict timblserver 1.2-4, now that we ship
    separate libtimblserver and libtimblserver-dev packages.
  * debian/NEWS: remove entries duplicated from upstream
    /usr/share/doc/timblserver/NEWS.gz.
  * renamed libtimblserver to libtimblserver2 and libtimblserver-dev to
    libtimblserver2-dev:
    - debian/control, debian/libtimblserver.install,
      debian/libtimblserver2.install, debian/libtimblserver-dev.install,
      debian/libtimblserver-dev.install: packagenames changed
    - debian/lintian-overrides: removed: issues non-dev-pkg-with-shlib-symlink
      and package-name-doesnt-match-sonames now solved.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 29 Dec 2011 09:41:29 +0100

timblserver (1.4-1) unstable; urgency=low

  * New Upstream Release.

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Tue, 20 Dec 2011 16:41:49 +0100

timblserver (1.3-6) unstable; urgency=low

  * reverted Depends rule change form 1.3.4

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Wed, 14 Dec 2011 17:19:38 +0100

timblserver (1.3-5) unstable; urgency=low

  * fixed debian/libtimblserver-dev.install

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Wed, 14 Dec 2011 16:54:21 +0100

timblserver (1.3-4) unstable; urgency=low

  * changed debian/control: Depends rules

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Wed, 14 Dec 2011 15:40:25 +0100

timblserver (1.3-3) unstable; urgency=low

  * changed debian/control to build timblserver, libtimblserver
    and libtimblserver-dev
  * added debian/timblserver.install debian/libtimblserver.install and
    debian/libtimblserver-dev.install
  * adapted debian/NEWS

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Wed, 14 Dec 2011 15:05:06 +0100

timblserver (1.3-2) unstable; urgency=low

  * fixed debian/NEWS file

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Wed, 19 Oct 2011 17:49:57 +0200

timblserver (1.3-1) unstable; urgency=low

  * release a TiCC internal lenny version

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Wed, 19 Oct 2011 17:24:39 +0200

timblserver (1.2-4) unstable; urgency=low

  * debian/control: make libtimbl3-dev build-depends versioned.  Thanks
    Nobuhiro Iwamatsu (Closes: #620892).

 -- Joost van Baal <joostvb@debian.org>  Thu, 07 Apr 2011 06:39:38 +0200

timblserver (1.2-3) unstable; urgency=low

  * fixed debian/changelog even more.

 -- Joost van Baal <joostvb@debian.org>  Wed, 30 Mar 2011 08:07:56 +0200

timblserver (1.2-2) unstable; urgency=low

  * fixed debian/changelog.

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Tue, 29 Mar 2011 11:00:58 +0200

timblserver (1.2-1) unstable; urgency=low

  * New upstream release.
    - usr/bin/TimblServer is renamed to usr/bin/timblserver
  * debian/lintian-overrides: s/TimblServer/timblserver/
  * debian/NEWS updated

 -- Ko van der Sloot <ko.vandersloot@uvt.nl>  Tue, 28 Mar 2011 10:54:56 +0100

timblserver (1.1-5) unstable; urgency=low

  * debian/control: add libxml2-dev to Build-Depends.  Thanks Cyril Brulebois
    and Ko van der Sloot (Closes: #618726).

 -- Joost van Baal <joostvb@debian.org>  Fri, 18 Mar 2011 12:25:28 +0100

timblserver (1.1-4) unstable; urgency=low

  * debian/control: add pkg-config to Build-Depends.  Thanks
    Aaron M. Ucko. (Closes: #618697).
  * debian/copyright: fix FSF address, tnx lintian.

 -- Joost van Baal <joostvb@debian.org>  Thu, 17 Mar 2011 19:56:15 +0100

timblserver (1.1-3) unstable; urgency=low

  * debian/copyright: completed (info on some autoconf macro files was
    missing). Thanks Charles Plessy.

 -- Joost van Baal <joostvb@debian.org>  Thu, 24 Feb 2011 17:39:43 +0100

timblserver (1.1-2) unstable; urgency=low

  * copyright, control: CNTS is now called CLiPS.  Thanks Antal van den Bosch.

 -- Joost van Baal <joostvb@debian.org>  Sun, 13 Feb 2011 16:36:31 +0100

timblserver (1.1-1) unstable; urgency=low

  * New upstream.
  * First upload to Debian archive (Closes: #605928).
  * No longer maintained at
    https://svn.ilk.uvt.nl/svn/trunk/sources/TimblServer/debian but at
    debian-science project at Alioth.
  * control: set Maintainer to Debian Science Team, update Vcs- flags.
  * control: fix homepage url.
  * copyright: now in machine-readable format.
  * NEWS: no longer in NEWS.Debian
  * control: Update from policy 3.8.0 to 3.9.1 (no changes needed).
  * watch: added.
  * control: do not build-depend upon timbl but on new libtimbl3-dev.
  * lintian-overrides: added. This is just a small package, it's sane to
    ship our shared library with the main binary.

 -- Joost van Baal <joostvb@debian.org>  Tue, 14 Dec 2010 12:52:48 +0100

timblserver (1.0.0-2) unstable; urgency=low

  * rebuild because of dependency problems

 -- Ko van der Sloot <Ko.vanderSloot@uvt.nl>  Tue, 05 Oct 2010 16:57:28 +0200

timblserver (1.0.0-1) unstable; urgency=low

  * Initial Debian packaging.

 -- Ko van der Sloot <Ko.vanderSloot@uvt.nl>  Wed, 10 Mar 2010 10:47:44 +0200

# $Id$
# $URL$
